PROCEDURE do_euler;

   CONST
      maxn = 1202;
      c = 10;

   TYPE
      Megazahl = array [0..maxn] of integer;

   VAR
      Resultat, a, b            :Megazahl;
      imin, k, s, n             :integer;
      Printblock, Printline     :integer;


   PROCEDURE add (n :integer; VAR a, b, Res :Megazahl);

      VAR
         k                    :integer;

   BEGIN
      FOR k:=0 to n DO Res[k]:=a[k]+b[k];
      FOR k:=n downto 1 DO
      WHILE Res[k] >= c DO BEGIN
         Res[k]:=Res[k]-c;
         Res[k-1]:=Res[k-1]+1;
      END;
   END;


   PROCEDURE Teile (n, k :integer; VAR imin :integer; VAR a:Megazahl);

      VAR
         Rest, i            :integer;
         null               :boolean;

   BEGIN
      null:=true;
      Rest:= a[imin];
      FOR i:=imin to n-1 DO BEGIN
         a[i]:=Rest div k;
         Rest:=(Rest mod k)*c + a[i+1];
         if null then BEGIN
            if a[i]=0 then BEGIN
               imin:=i+1;
            END
            else BEGIN
               null:=false;
            END;
         END;
      END;
      a[n]:=Rest div k;
   END;


BEGIN
   n:= Eingabe.i[2]+2;
   IF n > maxn  THEN BEGIN
      N_Error (25);
      exit;
   END;
   IF n-2 < 0 THEN BEGIN
      N_Error (26);
      exit;
   END;
   Printblock:=10; Printline:=70;
   FOR s:=0 to maxn DO BEGIN
      Resultat[s]:=0; a[s]:=0; b[s]:=0
   END;
   Resultat[0]:=2;
   Resultat[1]:=5;
   k:=3; imin:=1;
   a[1]:=Resultat[1];
   N_Message (20);
   WHILE imin < n DO BEGIN
      Teile (n, k, imin, a);
      add (n, Resultat, a, Resultat);
      Message_integer_1:= imin;
      N_Message (21);
      k:=k+1;
   END;
   writeln;
   writeln;
   write (Resultat[0]:1,'.');
   FOR s:=1 to Eingabe.i[2] DO BEGIN
      write (Resultat[s]);
      if ((s) mod Printblock = 0) then write (' ');
      if ((s) mod Printline = 0) THEN BEGIN
         writeln;
         write ('  ');
      END;
   END;
   writeln;
END;